Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.dom
Class DeferredElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.xerces.dom.DeferredElementImpl

public class DeferredElementImpl
extends ElementImpl
implements DeferredNode

Elements represent most of the "markup" and structure of the document. They contain both the data for the element itself (element name and attributes), and any contained nodes, including document text (as children).

Elements may have Attributes associated with them; the API for this is defined in Node, but the function is implemented here. In general, XML applications should retrive Attributes as Nodes, since they may contain entity references and hence be a fairly complex sub-tree. HTML users will be dealing with simple string values, and convenience methods are provided to work in terms of Strings.

DeferredElementImpl inherits from ElementImpl which does not support Namespaces. DeferredElementNSImpl, which inherits from ElementNSImpl, does.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
Version:
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `DeferredElementNSImpl`, Serialized Form

Field Summary
`protected int` | `fNodeIndex` Node index.

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Method Summary
`int` | `getNodeIndex()` Returns the node index.
`protected void` | `synchronizeChildren()`
`protected void` | `synchronizeData()` Synchronizes the data (name and value) for fast nodes.

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fNodeIndex

    protected transient int fNodeIndex

  Node index.

Method Detail

### getNodeIndex

    public final int getNodeIndex()

  Returns the node index.
  Specified by:
    getNodeIndex in interface DeferredNode

### synchronizeData

    protected final void synchronizeData()

  Synchronizes the data (name and value) for fast nodes.

  Overrides:
    synchronizeData in class ElementImpl

### synchronizeChildren

    protected final void synchronizeChildren()

  Overrides:
    synchronizeChildren in class ChildAndParentNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD